CUTLASS: cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess > Struct Template Reference

`#include <pitch_linear_thread_map.h>`

## Public Types
using | TensorCoord = layout::PitchLinearCoord
using | Iterations = layout::PitchLinearShape< Shape::kContiguous/kElementsPerAccess, Shape::kStrided/kThreads >
using | Delta = layout::PitchLinearShape< 1, 1 >
using | ShapeVec = Shape

## Static Public Member Functions
static CUTLASS_HOST_DEVICE TensorCoord | initial_offset (int thread_id)

## Static Public Attributes
static int const | kThreads = Threads
static int const | kElementsPerAccess = ElementsPerAccess

## Member Typedef Documentation

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::Delta = layout::PitchLinearShape<1, 1>

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::Iterations = layout::PitchLinearShape< Shape::kContiguous / kElementsPerAccess, Shape::kStrided / kThreads>

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::ShapeVec = Shape

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::TensorCoord = layout::PitchLinearCoord

## Member Function Documentation

template<typename Shape , int Threads, int ElementsPerAccess = 1>

static CUTLASS_HOST_DEVICE TensorCoord cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::initial_offset | ( | int | thread_id | ) |
| inlinestatic

## Member Data Documentation

template<typename Shape , int Threads, int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::kElementsPerAccess = ElementsPerAccess
| static

template<typename Shape , int Threads, int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearTilePolicyStripminedThreadStrided< Shape, Threads, ElementsPerAccess >::kThreads = Threads
| static

The documentation for this struct was generated from the following file:

- pitch_linear_thread_map.h